/*************************************************
     Raspberry Pi Cam Mount

 Author: Lee J Brumfield

*************************************************/


$fn=200;
difference()
{
union()
{

// Basic Shape
hull()
{
translate([0,0,2])
rotate([0,0,0])
cylinder(r=3,h=1, center=true);
translate([0,0,0])
minkowski()
{
  cube([22,22,.5], center=true);
  cylinder(r=2,h=.5, center=true);
}
}
translate([0,0,3.5])
rotate([0,0,0])
cylinder(r=3,h=5, center=true);
translate([0,0,8])
rotate([0,0,0])
sphere(r=5, center=true);


// Cutout 
}
// holes

translate([10.01, 10.01, 0])
cylinder(h = 5, r = 1.5, center = true);
translate([10.01, -10.01, 0])
cylinder(h = 5, r = 1.5, center = true);
translate([-10.01, 10.01, 0])
cylinder(h = 5, r = 1.5, center = true);
translate([-10.01, -10.01, 0])
cylinder(h = 5, r = 1.5, center = true);


translate([10.01, 10.01, 3.1])
cylinder(h = 5, r = 3, center = true);
translate([-10.01, 10.01, 3.1])
cylinder(h = 5, r = 3, center = true);
translate([-10.01, -10.01, 3.1])
cylinder(h = 5, r = 3, center = true);
translate([10.01, -10.01, 3.1])
cylinder(h = 5, r = 3, center = true);



}