/*************************************************
  Raspberry Pi Cam Mount

 Author: Lee J Brumfield

*************************************************/


$fn=200;
difference()
{
union()
{

// Basic Shape


translate([0,0,6])
rotate([0,0,0])
sphere(r=6, center=true);

translate([0,0,-3.5])
rotate([0,0,0])
cylinder(r=3,h=5, center=true);
translate([0,0,-8])
rotate([0,0,0])
sphere(r=5, center=true);
hull()
{
translate([0,0,-2])
rotate([0,0,0])
cylinder(r=3,h=1, center=true);
translate([0,0,6])
rotate([0,0,0])
cylinder(r=6,h=.01,center=true);
}

}
// Cutout

translate([0,0,6])
rotate([0,0,0])
sphere(r=5, center=true);
translate([0,0,11])
rotate([0,0,0])
cube([15,15,5], center=true);

translate([0,0,6])
rotate([0,90,90])
minkowski()
{
cube([5,.5,5], center=true);
cylinder(r=.5,h=10, center=true);

}
translate([0,0,6])
rotate([0,90,45])
minkowski()
{
cube([5,.5,5], center=true);
cylinder(r=.5,h=10, center=true);
}
translate([0,0,6])
rotate([0,90,315])
minkowski()
{
cube([5,.5,5], center=true);
cylinder(r=.5,h=10, center=true);
}
translate([0,0,6])
rotate([0,90,0])
minkowski()
{
cube([5,.5,5], center=true);
cylinder(r=.5,h=10, center=true);
}


}